Subject: [quicwg/base-drafts] Ambiguity in section 5.2.2 of RFC 9000 (#4928)

From: Suchith J N <[email-masked]>
Date: Mon, 26 Jul 2021 04:06:09 -0700

In section ["Server Packet Handling"](https://datatracker.ietf.org/doc/html/rfc9000#section-5.2.2)
>    If a server receives a packet that indicates an unsupported version
   and if the packet is **large enough** to initiate a new connection for
   any supported version, the server SHOULD send a Version Negotiation
   packet as described in Section 6.1.  A server MAY limit the number of
   packets to which it responds with a Version Negotiation packet.
   **Servers MUST drop smaller packets** that specify unsupported versions.

What is the threshold for "large enough" and "smaller" packets? Dropping "smaller" packets seem to be a requirement, but how small is "smaller"? If that is implementation dependent, then it should have been mentioned as such.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4928